- name: Bootstrap Proxmox Server
  hosts: proxmox
  become: true

  pre_tasks:
    - import_tasks: ../tasks/proxmox-repos.yml

  tasks:
    - import_tasks: ../tasks/network-interface-patch.yml
    - import_tasks: ../tasks/packages.yml
    - import_tasks: ../tasks/terraform-user.yml
    - import_tasks: ../tasks/cloud-init-snippets.yml

    # - import_tasks: ../tasks/locale.yml
    # - import_tasks: ../tasks/keyboard.yml
    # - import_tasks: ../tasks/users.yml
    # - import_tasks: ../tasks/ssh.yml
